1. You may have noticed things look a little different around here - we've switched to a new platform (XenForo) and have some new forum styles and features. This how-to guide will help you find your way around. If you find anything that looks strange, post it in this thread.

AHCI support for BSD OS

Discussion in 'Linux Compatibility and Software' started by MrBean_Laden, Sep 18, 2012.

  1. MrBean_Laden

    MrBean_Laden Newbie

    Reputations:
    0
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    5
    Hello everyone,

    I'm trying to install FreeBSD or PC-BSD on my laptop but it hangs at the boot stage. The problem is the HDD controller mode in the bios. By default, windows start with AHCI setting but FreeBSD won't. If you try to change it to IDE mode, both of the BSD OS start except Windows 7.

    I have already posted my problem in the FreeBSD forum but they didn't found the solution. Problem with the installation - The FreeBSD Forums

    So is it possible to solve this issue?

    Nota: The BSD OS does fully support AHCI.

    Thank you guys
     
  2. PopLap

    PopLap Notebook Evangelist

    Reputations:
    22
    Messages:
    395
    Likes Received:
    0
    Trophy Points:
    30
    Sounds like there is ether there is a problem in BSD's implantation or your laptops's, what brand is it. BSD can be very finicky when it comes to standards and support.
     
  3. MrBean_Laden

    MrBean_Laden Newbie

    Reputations:
    0
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    5
    HP EliteBook 8540w.
     
  4. PopLap

    PopLap Notebook Evangelist

    Reputations:
    22
    Messages:
    395
    Likes Received:
    0
    Trophy Points:
    30
    If you dont mind working in terminal can you check to see if the config file /boot/loader.conf has the line ahci_load="YES" in it and that it is indeed set to YES.
     
Similar Threads: AHCI support
Forum Title Date
Linux Compatibility and Software Is Ubuntu running in acpi/ahci mode? Aug 28, 2010
Linux Compatibility and Software Well supported ultrabook? Jul 25, 2013
Linux Compatibility and Software The error message means that your CPU does not support PAE extensions Jun 4, 2013
Linux Compatibility and Software Best Distro for Older hardware but still well supported? May 2, 2013
Linux Compatibility and Software New NVIDIA driver is out, supports Optimus Apr 10, 2013

Share This Page